import usb
RQ_SET_FAN	  =  0
RQ_GET_PIR	  =  1
####################################
def find_mcu_boards():
    boards = [dev for bus in usb.busses()
                  for dev in bus.devices
                  if (dev.idVendor,dev.idProduct) == (0x16c0,0x05dc)]
    return boards

####################################
class McuBoard:
    ################################
    def __init__(self, dev):
        self.device = dev
        self.handle = dev.open()

    ################################
    def usb_write(self, request, data=[], index=0, value=0):
        reqType = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
        self.handle.controlMsg(
                reqType, request, data, value=value, index=index)

    ################################
    def usb_read(self, request, length=1, index=0, value=0):
        reqType = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
        buf = self.handle.controlMsg(
                reqType, request, length, value=value, index=index)
        return buf
####################################
class PeriBoard:
    ################################
    def __init__(self, mcu):
        self.mcu = mcu

    ################################
    def set_fan(self, fan_state):
        self.mcu.usb_write(request=RQ_SET_FAN,value=fan_state)

	##############################


